/* -*-c-*-
 *
 * $Id: acconfig.h,v 1.1 2001/02/04 01:17:54 mdw Exp $
 *
 * Configuration header for TrIPE
 *
 * (c) 1999 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of Trivial IP Encryption (TrIPE).
 *
 * TrIPE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * TrIPE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with TrIPE; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: acconfig.h,v $
 * Revision 1.1  2001/02/04 01:17:54  mdw
 * Create a configuration header file to tidy up command lines.
 *
 */

#ifndef ACCONFIG_H
#define ACCONFIG_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Autoconfiguration data --------------------------------------------*/
@TOP@

/* Package and version number.  */
#define PACKAGE "tripe"
#define VERSION "1.0.0"

/* Define to disable the tracing options.  This might improve performance a
 * little bit, and can prevent sensitive information from being leaked if
 * you're in the habit of typing things like `tripectl trace A' by
 * accident. */
#undef NTRACE

/* Define according to the type of tunneling interface appropriate for your
 * system.  Linux types should use `TUN_UNET' and build the `usernet'
 * module.  BSD types should use `TUN_BSD' to use the built-in `tun'
 * devices. */
#undef TUN_TYPE

@BOTTOM@

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
